%define upstream_name    PerlIO-eol
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    PerlIO layer for normalizing line endings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/A/AU/AUTRIJUS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This perl module enable you to normalize line endings
This layer normalizes any of CR, LF, CRLF and Native into the designated line 
ending. 
It works for both input and output handles.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
%check 
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/PerlIO
%{perl_vendorarch}/auto/PerlIO

%changelog
* Sun May 08 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 1010758
- update to 0.16

* Fri Feb 12 2016 umeabot <umeabot> 0.140.0-13.mga6
+ Revision: 957880
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.140.0-12.mga6
+ Revision: 845109
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.140.0-11.mga6
+ Revision: 841789
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-10.mga5
+ Revision: 751028
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-9.mga5
+ Revision: 685959
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.140.0-8.mga5
+ Revision: 631602
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.140.0-7.mga4
+ Revision: 524927
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.140.0-6.mga4
+ Revision: 431734
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-5.mga3
+ Revision: 371789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.140.0-4.mga3
+ Revision: 251054
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.140.0-3.mga2
+ Revision: 104909
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.140.0-2.mga1
+ Revision: 31044
- mageia rebuild
- imported package perl-PerlIO-eol

